Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.metadata.attributes
Class AttributeSetMapping

    java.lang.Object
      com.endeca.portal.metadata.AbstractMetadata
          com.endeca.portal.metadata.MetadataProperty
              com.endeca.portal.metadata.attributes.AttributeSetMapping

All Implemented Interfaces:
  Metadata

    public class AttributeSetMapping

extends MetadataProperty

Represents an attribute mapping to an attribute set.

Author:
  Endeca Technologies, Inc.

Constructor Summary
`AttributeSetMapping()` Constructor: initializes the object with an ID of -1
`AttributeSetMapping(com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord record)` Constructor that initializes the object from a MetadataRecord.
`AttributeSetMapping(java.lang.String attributeName)` Convenience constructor that initializes the object for a specified attribute.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Returns true if the provided display name property object's Metadata Object ID and mapping value (the attribute name) are the same.
`java.lang.String` | `getAttributeName()` Returns the "value" of the attribute mapping, which is the name of the attribute that this mapping represents
`java.lang.String` | `getType()` Returns

Methods inherited from class com.endeca.portal.metadata.MetadataProperty
`getPropertyId, getSourceRecord, init, setPropertyId, setSourceRecord`

Methods inherited from class com.endeca.portal.metadata.AbstractMetadata
`getDescription, getFeature, getKey, getLastUpdated, getLocale, getObjectId, getRel, getSource, getValue, setDescription, setFeature, setKey, setLastUpdated, setLocale, setObjectId, setRel, setSource, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeSetMapping

    public AttributeSetMapping()

  Constructor: initializes the object with an ID of -1

### AttributeSetMapping

    public AttributeSetMapping(com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord record)

  Constructor that initializes the object from a MetadataRecord. The underlying object is not persisted to the database; that must be done explicitly if you want it to be persisted.

  Parameters:
    `record` - the source MetadataRecord

### AttributeSetMapping

    public AttributeSetMapping(java.lang.String attributeName)

  Convenience constructor that initializes the object for a specified attribute.

  Parameters:
    `attributeName` - the name of the attribute this mapping represents

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Returns the "value" of the attribute mapping, which is the name of the attribute that this mapping represents

  Returns:
    the name of the attribute

### getType

    public java.lang.String getType()

  Returns

  Specified by:
    `getType` in interface `Metadata`
  Specified by:
    `getType` in class `MetadataProperty`
  Returns:
    the type of metadata this object represents
  See Also:
    `Metadata.getType()`

### equals

    public boolean equals(java.lang.Object obj)

  Returns true if the provided display name property object's Metadata Object ID and mapping value (the attribute name) are the same.

  Overrides:
    `equals` in class `MetadataProperty`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD